Subject: Re: bug#44893: `guix deploy` doesn't recognize option --dry-run
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Jesse Gibbons <[email-masked]>, zimoun <[email-masked]>
Date: Mon, 25 Jul 2022 08:31:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> We can make this change:
>
> diff --git a/guix/scripts/deploy.scm b/guix/scripts/deploy.scm
> index 0725fba54b..d9371b3d4a 100644
> --- a/guix/scripts/deploy.scm
> +++ b/guix/scripts/deploy.scm
> @@ -165,7 +165,9 @@ Perform the deployment specified by FILE.\n"))
>            (with-build-handler (build-notifier #:use-substitutes?
>                                                (assoc-ref opts 'substitutes?)
>                                                #:verbosity
> -                                              (assoc-ref opts 'verbosity))
> +                                              (assoc-ref opts 'verbosity)
> +                                              #:dry-run?
> +                                              (assoc-ref opts 'dry-run?))
>              (parameterize ((%graft? (assq-ref opts 'graft?)))
>                (map/accumulate-builds store
>                                       (cut deploy-machine* store <>)
>
>
> It may not be the kind of “dry run” that users have in mind for ‘guix
> deploy’, as you note zimoun, but that’s probably better than nothing.
>
> Thoughts?

I see such a fix was pushed as ff94f9dfde; closing!

Thank you,

Maxim